summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/qemu-iotests/check6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/qemu-iotests/check b/tests/qemu-iotests/check
index 69f328b57c..992b91e14a 100755
--- a/tests/qemu-iotests/check
+++ b/tests/qemu-iotests/check
@@ -103,6 +103,12 @@ then
export QEMU_NBD_PROG="$build_root/qemu-nbd"
fi
+# we need common.env
+if ! . "$build_iotests/common.env"
+then
+ _init_error "failed to source common.env (make sure the qemu-iotests are run from tests/qemu-iotests in the build tree)"
+fi
+
# we need common.config
if ! . "$source_iotests/common.config"
then